using System.Collections;
using System.Collections.Generic;
using Godot;
using System;

using System.Threading.Tasks;

namespace Rokojori
{
  public abstract class MultiBakeModeImplementation
  {
    public MultiBaker multiBaker;
    public abstract MultiBaker.BakeMode GetBakeMode();
    public abstract int GetNumViews();
    public abstract void CreateBakes();
    public abstract void AssignMaterial( BakingMaterialMode mode, Texture2D texture );
    public abstract void CreateMaterial( bool preview );

  }
}